// Copyright (c) 2015 SUSE LLC. All rights reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package main

import (
	"fmt"
	"io"
)

// Convert from bool to int.
func boolToInt(b bool) int {
	if b {
		return 1
	}
	return 0
}

// Dump the repositories of the given product to the given writer.
func dumpRepositories(w io.Writer, product Product) {

	fmt.Fprintf(w, "# generated by container-suseconnect\n")
	fmt.Fprintf(w, "\n")

	for _, repo := range product.Repositories {
		fmt.Fprintf(w, "[%s]\n", repo.Name)
		fmt.Fprintf(w, "name=%s\n", repo.Description)
		fmt.Fprintf(w, "baseurl=%s\n", repo.URL)
		fmt.Fprintf(w, "autorefresh=%d\n", boolToInt(repo.Autorefresh))
		fmt.Fprintf(w, "enabled=%d\n", boolToInt(repo.Enabled))
		fmt.Fprintf(w, "\n")
	}
}
